public class PayPalPayment extends Payment implements IPay {
    String mail;

    public PayPalPayment(String mail) {
        this.mail = mail;
    }

    @Override
    public void pay(double amount) {
        System.out.println("Bezahlung von " + amount + " CHF mit Kreditkarte " + mail);
    }
}
